package swing.podstawy;

import java.awt.Color;
import java.awt.Font;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.SwingConstants;

public class Okno4 {

    public static void main(String[] args) {
        JFrame okno = new JFrame("Nasza aplikacja");
        okno.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        okno.setSize(800, 600);
        
        JLabel label1 = new JLabel("Hello world");
        label1.setFont(new Font("Arial", Font.BOLD, 40));
        label1.setForeground(Color.BLUE);
        label1.setHorizontalAlignment(SwingConstants.CENTER);
        okno.add(label1);
        
        JLabel label2 = new JLabel("Goodbye cruel world");
        label2.setFont(new Font("Arial", Font.BOLD | Font.ITALIC, 40));
        label2.setForeground(Color.RED);
        label2.setHorizontalAlignment(SwingConstants.CENTER);
        okno.add(label2);
        
        JButton button1 = new JButton("OK");
        button1.setFont(new Font("Arial", Font.BOLD, 40));
        button1.setForeground(Color.GREEN);
        button1.setHorizontalAlignment(SwingConstants.CENTER);
        okno.add(button1);
        
        // w tej wersji widać tylko guzik - bo domyślny layout manager zastępuje "centralny" komponent nowym komponentem 
        okno.setVisible(true);
        
    }

}
